Home > Articles > Operating Systems, Server > Solaris

Minimizing the Solaris Operating Environment for Security: Updated for Solaris 9 Operating Environment

  • Print
  • + Share This
This article provides tips, instructions, and preferred practices for minimizing the Solaris Operating Environment to increase system security. It focuses on operating system installation practices for minimizing and automating Solaris OE installations. It provides a simple, reproducible, and secure application installation methodology.
Like this article? We recommend

Updated for Solaris 9 Operating Environment

This article provides tips, instructions, and preferred practices for minimizing the Solaris Operating Environment (Solaris OE) to increase system security. It focuses on operating system (OS) installation practices for minimizing and automating Solaris OE installations. This article provides a simple, reproducible, and secure application installation methodology.

The minimal OS requirements of a server vary depending on the applications, OS release, and hardware. This article describes the methodology for OS minimization and gives specific recommendations for packages needed to support the Sun™ ONE Web Server. You can use the methodology and recommendations in this article to assist you in determining the minimum OS modules that must be installed on your server.

This article contains the following topics:

  • "Updates"
  • "Introduction"
  • "Assumptions and Limitations"
  • "Choosing an Installation Cluster"
  • "Methodology Summary"
  • "Minimizing and Automating Installations"
  • "Minimizing the Sun ONE Web Server"
  • "Presenting a Case Study"
  • "References and Related Resources"
  • "About the Author"

Updates

In applying the methodology and updates in this article, we used the Netra™ t1 running Solaris 9 OE 64-bit as the test platform.

This article includes revisions and content changes for the following:

  • Updated for Solaris 9 OE (5/02), 64-bit mode

  • Updated scripts for Solaris™ Security Toolkit software version 1.0

  • Added support for Sun ONE Web Server 6.0 (formerly iPlanet™ Web Server)

  • Removed Solaris 2.5.1 OE

The scripts released with this article are updated to be compatible with the Solaris Security Toolkit software version 1.0. Please refer to "References and Related Resources" on page 33, for additional information about the Solaris Security Toolkit software.

All Solaris OE package listings support the Sun ONE Web Server version 6.0sp2 product release.

No changes were made to the methodology presented in the previous version of this article.

NOTE

All references to Solaris 2.5.1 OE were removed. Solaris 2.5.1 OE is no longer supported on either the hardware or software described in this update.

  • + Share This
  • 🔖 Save To Your Account